### Function

# Gtk.accelerator_parse

#### Declaration [src]

    gboolean
    gtk_accelerator_parse (
      const char* accelerator,
      guint* accelerator_key,
      GdkModifierType* accelerator_mods
    )

#### Description [src]

Parses a string representing an accelerator.

The format looks like “a” or “F1”.

The parser is fairly liberal and allows lower or upper case, and also abbreviations such as “” and “”. Key names are parsed using `gdk_keyval_from_name()`. For character keys the name is not the symbol, but the lowercase name, e.g. one would use “minus” instead of “-”.

If the parse fails, `accelerator_key` and `accelerator_mods` will be set to 0 (zero).

#### Parameters

`accelerator` | `const char*`
| string representing an accelerator
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`accelerator_key` | `guint*`
| return location for accelerator keyval, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`accelerator_mods` | `GdkModifierType*`
| return location for accelerator modifier mask, `NULL`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
No description available.